@Filename: ClkSta.s
@Part: ADuC702x.
@Created: 11/03/2004 at 11h58
@Updated: 28/06/2005
@Author: Eckart Hartmann.
@This file is in beta sampling.

.include        "ADuC7020.equ"
.ARM

@ ClkSta==========Reads the Clock status.
@ C Function prototype: int ClkSta(int iClrPllInt);
@iClrPllInt:{0,1}
@ Description of Function: Reads the Clock status PLLSTA.
@ User interface:
@       Put 1 in iClrPllInt if PLLI is to be cleared.
@       Call ClkSta.
@       Returns PLLSTA (Status before PLLI is cleared).
@           PLLSTA.0 = PLLI = PLL interupt bit.
@           PLLSTA.1 = LOCK = Indicates PLL is locked.
@           PLLSTA.2 = PLLI = Indicates oscillator is OK.
@           PLLSTA.3 = PLLI = Indicates VCO is OK.
@ Robustness:  No known issues.
@ Side effects: Corrupts r2 and r3.

.GLOBAL ClkSta
ClkSta:
        and     r2,r0,#1                @Save PLLI.
        mov     r3,#0xff0000            @r3 = Z_BASE;
        orr     r3,r3,#0xff000000
        ldr     r0,[r3,#PLLSTA_OFFSET]  @Get PLLSTA.
        str     r2,[r3,#PLLSTA_OFFSET]  @Write PLLI.
        bx      lr                      @return.
